### Method

# Ggit Repository lookup_branch

#### Declaration [src]

    GgitBranch*
    ggit_repository_lookup_branch (
      GgitRepository* repository,
      const gchar* branch_name,
      GgitBranchType branch_type,
      GError** error
    )

#### Description [src]

Lookups a branch by its name in a repository.

#### Parameters

`branch_name`

  Type: `const gchar*`

  The name of the branch.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`branch_type`

  Type: `GgitBranchType`

  A `GgitBranchType`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitBranch`

A branch by its name in a repository.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.